com.smartgwt.client.bean.types

## Class JsoValueType<ValueType extends com.google.gwt.core.client.JavaScriptObject>

- java.lang.Object
- - com.smartgwt.client.bean.BeanValueType<ValueType>
  - - com.smartgwt.client.bean.types.OtherValueType<ValueType>
    - - com.smartgwt.client.bean.types.JsoValueType<ValueType>

-     public class JsoValueType<ValueType extends com.google.gwt.core.client.JavaScriptObject>
      extends OtherValueType<ValueType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

      `BeanValueType.Convertability, BeanValueType.MetaFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JsoValueType(java.lang.Class<ValueType> valueType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanValueType.Convertability` | `convertabilityFrom(java.lang.Object value)`
    `ValueType` | `convertFrom(java.lang.Object value)`
    `static <T extends com.google.gwt.core.client.JavaScriptObject> void` | `registerJsoValueType(java.lang.Class<T> klass)`

    - ### Methods inherited from class com.smartgwt.client.bean.types.OtherValueType

      `getValueType, isAssignableFrom, registerOtherValueType`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

      `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsoValueType

          protected JsoValueType(java.lang.Class<ValueType> valueType)

  - ### Method Detail

    - #### registerJsoValueType

          public static <T extends com.google.gwt.core.client.JavaScriptObject> void registerJsoValueType(java.lang.Class<T> klass)

    - #### convertabilityFrom

          public BeanValueType.Convertability convertabilityFrom(java.lang.Object value)

      Overrides:
        `convertabilityFrom` in class `OtherValueType<ValueType extends com.google.gwt.core.client.JavaScriptObject>`

    - #### convertFrom

          public ValueType convertFrom(java.lang.Object value)

      Overrides:
        `convertFrom` in class `OtherValueType<ValueType extends com.google.gwt.core.client.JavaScriptObject>`